#!ratlperl
# Set your path to include bfimport
# usage: ratlperl bf_import_all.pl
# Windows only
use strict;

my @xml = glob ("*.xml");

use Cwd;
my $pwd = getcwd();

=for comment
Yes: -p Import projects
     -I Include chained projects

No:  -P Purge logs if replacing projects of the same names
     -s Import servers. Note that the system does not export server passwords, so you must enter the password for an imported server manually.
Yes: -e Import environments
     -c Import classes
-g
      -u Import users
      -T Import notification templates
Yes:  -f Import filters
Yes:  -r Replace rather than rename imported items
=cut

my $bfimport = qq{bfimport -p -e -f -r };
print STDERR "Import projects: \n\t",join("\n\t",@xml),"\n";

for my $xml (@xml) {
	my $cmd = qq{$bfimport "$pwd/$xml"};
	print "$cmd\n";
	system ($cmd);
}
